# Python script to call the Inno Setup Compiler, which usually is not in
# %PATH%.  Written by Reinhard Mueller for the GNU Enterprise project.
# This code is in the public domain.

import os
import sys
import win32api
import win32con

key = win32api.RegOpenKey(
        win32con.HKEY_LOCAL_MACHINE,
        "SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Uninstall"
        "\\Inno Setup 5_is1",
        0,
        win32con.KEY_READ)
try:
    directory = win32api.RegQueryValueEx(key, "InstallLocation")[0]
finally:
    win32api.RegCloseKey(key)

os.spawnv(os.P_WAIT, directory + "iscc.exe", ["iscc.exe"] + sys.argv[1:])
